.jquery-modal {
	white-space: nowrap;
	
  &.blocker {
    z-index:8;
    padding:40px;
  }
  &.blocker.blocker--full {
    padding:0;
  }

  > .modal {
    z-index:9;
    padding:20px;
    width:100%;
    max-width:610px;
    position:relative;
    padding:0;
    border-radius:10px;
    max-height: calc(100% - 160px);
    min-height: calc(96px + 102px);
    overflow:hidden;
    background: var(--cvr-bg-1);
    box-shadow: var(--cvr-shadow-2);
		white-space: normal;

    > .inner {
      position:relative;
      padding:52px 0;
      overflow: hidden;

      > .modal__head {
        position:absolute;
        top:0;
        left:0;
        width:100%;
        height:51px;
        background:transparent;
        border-bottom:var(--cvr-border);
        border-radius: 10px 10px 0 0;

        h2, h3, h4 {
          margin:0;
          padding:10px 20px;
          line-height:32px;
        }
        a.close-modal {
          top: 10px;
          right: 10px;
        }
      }
      > .modal__body {
      	max-height: calc(100dvh - 160px - 184px);
        min-height: 96px;
        overflow-y: auto;
        overflow-x:hidden;
        padding: 20px;
        font-size:.95rem;
        scrollbar-width: thin;
    		scroll-behavior: smooth;
        background:var(--cvr-bg-1);

        h3, h4 {
          margin:10px 0;
          font-size:1.2rem;
        }
        p.lead {font-size:.95rem;margin:0 0 5px 0;}
        p {font-size:.95rem;margin:5px 0 0 0;}
      }
      > .modal__foot {
        position:absolute;
        bottom:0;
        left:0;
        width:100%;
        height:52px;
        background:var(--cvr-bg-1);
        border-top:var(--cvr-border);
        border-radius: 0 0 10px 10px;

        > a {
          display: block;
          cursor:pointer;
          padding: 10px 20px;
          text-align: center;
          font-size: 1.2rem;
          color: var(--cvr-red-2);
          line-height: 32px;
          text-transform: uppercase;
    			font-weight: 500;

          &:hover {
            color:var(--cvr-red-3);
          }
        }
      }
    }
    
    > .close-modal {
      top: 0px;
      right: 0px;
      background:transparent;
      font-size:0;
      text-indent: 0;
      width:52px;
      height:52px;
      
      &::before {
        width:52px;
        height:52px;
        display:block;
        position:absolute;
        top:0;
        right:0;
        content:"✕";
        color: var(--cvr-gray-2);
        font-size:1.4rem;
        line-height:50px;
        text-align:center;
        font-weight:700;
      }
      
      &:hover::before {
        color:var(--cvr-red-2);
      }
    }
  }
}
.jquery-modal .modal[data-modal-id="1"] {
	width:400px;
	max-width:400px;
	
	> .inner > .modal__body {
		padding:10px 0;
		max-height: calc(100vh - 160px - 184px);
    min-height: 96px;
	}
	.a2a-wrap {
				margin-bottom:30px;
				
				.a2a_kit {
					white-space:nowrap;
					overflow:hidden;
					padding: 10px 27px 0 25px;
					margin:0;
					height: 102px;
    			max-height: 102px;
					
					&.a2a_kit--slider {
						overflow-x: auto;
    				overflow-y: hidden;
    				scrollbar-width:none;
    				-ms-overflow-style: none;
    				
    				&::-webkit-scrollbar { display: none; }
    				
						.slick-prev,
						.slick-next {
							top:calc(50% - 6px);
						}
					}

					li {
						display:inline-block;
						margin: 0;

						a {
							color: var(--cvr-body);
							display:block;
							padding: 5px 0 0 0;
							margin: 0;
							text-align: center;
							text-decoration:none;
							min-width:74px;

							.img, .icon {
								display:block;
								background-color: var(--cvr-white);
								padding: 0;
								margin: 0 auto;
								border-radius: 50%;
								overflow: hidden;
								width: 60px;
								height: 60px;
								text-align: center;
								box-shadow: var(--cvr-shadow-1);

								img, i {
									padding: 15px;
									width: 60px;
									height: 60px;
									filter: var(--cvr-f-body);
									display:block;
								}
								i::before {
									font-size:30px;
								}
							}
							.anchor {
								display:block;
								color: var(--cvr-body);
								margin-top: 10px;
								font-size: 13px;
							}
							&:hover {
								.img, .icon {
									box-shadow: var(--cvr-shadow-2);
									transition: all 240ms;
								}
							}
						}
					}
				}
			}
	.copy-url {
				border: var(--cvr-border);
				background: var(--cvr-gray-1);
				position:relative;
				margin: 10px 20px 10px 20px;
				border-radius:16px;
        
        &::after {
				  display: block;
            width: 36px;
            height: 26px;
            content: "Copy";
            background: var(--cvr-gsc-2);
            border-radius: 13px;
            padding: 0 15px;
            color: white;
            position: absolute;
            top: 6px;
            right: 6px;
            text-align: center;
            line-height: 26px;
            text-transform: uppercase;
            font-weight: 500;
            font-size: .85rem;
				}
					
				.copierInput {
					margin: 0;
					padding: 8px 82px 8px 15px;
					line-height: 22px;
					font-size: .9rem;
					white-space:nowrap;
					text-overflow: ellipsis;
					overflow: hidden;
					margin: 0;
          border: 0;
          width: 100%;
          display: block;
          outline: 0;
          position:relative;
          background-color: transparent;
					cursor:pointer;
					color: var(--cvr-body);
					z-index:1;
		}
		
		&:hover::after {
		  background: var(--cvr-gsc-3);
		}
	}
}
.jquery-modal .modal[data-modal-id="2"] {
	width:400px;
	max-width:400px;
	
	> .inner > .modal__body {
		padding:10px 20px 20px 20px;
		max-height: calc(100vh - 160px - 184px);
    min-height: 96px;
		
		.mb__banner {
    	border-bottom:var(--cvr-border);
    	text-align: center;
    	margin-bottom:10px;

    	img {
    		width:100%;
    		max-width:300px;
    		margin:0 auto;
    	}
    }
	}
	
	#formAskModal {
		form {margin:15px 0 0 0;}
		
		.form-row {
			margin-bottom:15px;
			
			&:last-of-type {margin-bottom:0;}
		}
		.form-submit {margin-top: 15px;}
		.col.help {font-size:.7rem;color:gray;margin-top:5px;}
		.col.consent {
			white-space: nowrap;
			padding-left:23px;
		}
		
		input, textarea, button {
			margin:0;
			padding:0;
			outline:0;
			border:0;
			background-color:transparent;
			display:block;
			width:100%;
			font-family:system-ui, -apple-system, "Segoe UI", Roboto, "Helvetica Neue", "Noto Sans", "Liberation Sans", Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
			resize:none;
			font-size:.95rem;
		}
		
		input {
			height: 34px;
			line-height: 30px;
		}
		
		input, textarea {
			padding: 5px 10px;
			border: var(--cvr-border);
			border-radius: 5px;
			margin: 0;
			outline: 2px solid var(--cvr-border-color);
			vertical-align: top;
			width: 100%;
			background: white;
			color: var(--cvr-body);
			
			&:active, &:focus {
				outline: 2px solid var(--cvr-blue-2);
      }
		}
		
		.check-wrap {
			display:inline-block;
			border: 3px solid var(--cvr-border-color);
			border-radius:5px;
			width: 18px;
			height: 18px;
			vertical-align: top;
			overflow: hidden;
			margin:-3px 0 0 -23px;
			
			&:hover {
				border:3px solid var(--cvr-blue-2);
			}
		}
		input[type="checkbox"] {
			display:block;
			width:1.1rem;
			height:1.1rem;
			margin:-.07rem 0 0 -.1rem;
			border-radius:5px;
			border:0;
			outline:0;
			cursor:pointer;
		}
		
		label {
			display: inline-block;
			white-space: break-spaces;
			font-size: .8rem;
			height: 16px;
			line-height: 16px;
			margin-top:-3px;
			cursor:pointer;
			vertical-align: top;
		}
		button {
			cursor:pointer;
			text-transform:uppercase;
			font-size:1rem;
			color:white;
			font-weight:500;
			background-color:var(--cvr-blue-2);
			height:38px;
			line-height:38px;
			border-radius:5px;
			
			&[disabled] {
				cursor:not-allowed;
				background-color:#8c8c8c;
			}
		}
	}
}
.jquery-modal .modal[data-modal-id="3"] {
	width:300px;
	max-width:300px;
	
	> .inner > .modal__body {
		padding:0;
		max-height: calc(100vh - 160px - 184px);
    min-height: 96px;

    .mb__qrcode {
    	text-align: center;
      padding:10px 10px 0 10px;

      img {
      	max-width: 307px;
      	width: 100%;
        margin: 0 auto;
				padding: 15px;
      }
    }
    p {
    	max-width: 323px;
    	margin: 0 auto;
    	padding:0 20px 20px 20px;
    }
	}
}
.jquery-modal .modal[data-modal-id="4"] {
	width:100%;
	max-width:610px;
	min-height:calc(100dvh - 160px);
	
	> .inner > .modal__body {
		padding:0;
		max-height: calc(100dvh - 160px - 104px);
    min-height: calc(100dvh - 160px - 104px);
		overflow:hidden;
		
		iframe {
			border:0;
			margin:0;
			padding:0;
			height:calc(100dvh - 160px - 108px);
			width:100%;
		}
	}
}

body.modal-mbl-open .jquery-modal {
    padding:64px 0 0 0;
  	
	  .modal.modal-mbl {
			width: 100%;
	    max-width: 100%;
	    height: 100%;
	    max-height: 100%;
	    border-radius:25px 25px 0 0;
	    padding-top: 52px;
	    
	    .inner {height:100%;}
	    
	    .modal__head {
        h2, h3, h4 {
          padding: 10px 15px;
        }
      }
      
	    .modal__body {
	      max-height: calc(100dvh - 64px - 52px - 53px);
        min-height: unset;
        overflow-y: auto;
        overflow-x: hidden;
        padding: 0;
        margin: 0;
        font-size: 1rem;
        background: var(--cvr-bg-1);
        height: calc(100dvh - 64px - 52px - 53px);
	    }
  }
} .blocker{position:fixed;top:0;right:0;bottom:0;left:0;width:100%;height:100%;overflow:auto;z-index:1;padding:20px;box-sizing:border-box;background-color:#000;background-color:rgba(0,0,0,0.75);text-align:center}.blocker:before{content:"";display:inline-block;height:100%;vertical-align:middle;margin-right:-0.05em}.blocker.behind{background-color:transparent}.modal{display:none;vertical-align:middle;position:relative;z-index:2;max-width:500px;box-sizing:border-box;width:90%;background:#fff;padding:15px 30px;-webkit-border-radius:8px;-moz-border-radius:8px;-o-border-radius:8px;-ms-border-radius:8px;border-radius:8px;-webkit-box-shadow:0 0 10px #000;-moz-box-shadow:0 0 10px #000;-o-box-shadow:0 0 10px #000;-ms-box-shadow:0 0 10px #000;box-shadow:0 0 10px #000;text-align:left}.modal a.close-modal{position:absolute;top:-12.5px;right:-12.5px;display:block;width:30px;height:30px;text-indent:-9999px;background-size:contain;background-repeat:no-repeat;background-position:center center;background-image:url('data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAADwAAAA8CAYAAAA6/NlyAAAAAXNSR0IArs4c6QAAA3hJREFUaAXlm8+K00Acx7MiCIJH/yw+gA9g25O49SL4AO3Bp1jw5NvktC+wF88qevK4BU97EmzxUBCEolK/n5gp3W6TTJPfpNPNF37MNsl85/vN/DaTmU6PknC4K+pniqeKJ3k8UnkvDxXJzzy+q/yaxxeVHxW/FNHjgRSeKt4rFoplzaAuHHDBGR2eS9G54reirsmienDCTRt7xwsp+KAoEmt9nLaGitZxrBbPFNaGfPloGw2t4JVamSt8xYW6Dg1oCYo3Yv+rCGViV160oMkcd8SYKnYV1Nb1aEOjCe6L5ZOiLfF120EjWhuBu3YIZt1NQmujnk5F4MgOpURzLfAwOBSTmzp3fpDxuI/pabxpqOoz2r2HLAb0GMbZKlNV5/Hg9XJypguryA7lPF5KMdTZQzHjqxNPhWhzIuAruOl1eNqKEx1tSh5rfbxdw7mOxCq4qS68ZTjKS1YVvilu559vWvFHhh4rZrdyZ69Vmpgdj8fJbDZLJpNJ0uv1cnr/gjrUhQMuI+ANjyuwftQ0bbL6Erp0mM/ny8Fg4M3LtdRxgMtKl3jwmIHVxYXChFy94/Rmpa/pTbNUhstKV+4Rr8lLQ9KlUvJKLyG8yvQ2s9SBy1Jb7jV5a0yapfF6apaZLjLLcWtd4sNrmJUMHyM+1xibTjH82Zh01TNlhsrOhdKTe00uAzZQmN6+KW+sDa/JD2PSVQ873m29yf+1Q9VDzfEYlHi1G5LKBBWZbtEsHbFwb1oYDwr1ZiF/2bnCSg1OBE/pfr9/bWx26UxJL3ONPISOLKUvQza0LZUxSKyjpdTGa/vDEr25rddbMM0Q3O6Lx3rqFvU+x6UrRKQY7tyrZecmD9FODy8uLizTmilwNj0kraNcAJhOp5aGVwsAGD5VmJBrWWbJSgWT9zrzWepQF47RaGSiKfeGx6Szi3gzmX/HHbihwBser4B9UJYpFBNX4R6vTn3VQnez0SymnrHQMsRYGTr1dSk34ljRqS/EMd2pLQ8YBp3a1PLfcqCpo8gtHkZFHKkTX6fs3MY0blKnth66rKCnU0VRGu37ONrQaA4eZDFtWAu2fXj9zjFkxTBOo8F7t926gTp/83Kyzzcy2kZD6xiqxTYnHLRFm3vHiRSwNSjkz3hoIzo8lCKWUlg/YtGs7tObunDAZfpDLbfEI15zsEIY3U/x/gHHc/G1zltnAgAAAABJRU5ErkJggg==')}.modal-spinner{display:none;position:fixed;top:50%;left:50%;transform:translateY(-50%) translateX(-50%);padding:12px 16px;border-radius:5px;background-color:#111;height:20px}.modal-spinner>div{border-radius:100px;background-color:#fff;height:20px;width:2px;margin:0 1px;display:inline-block;-webkit-animation:sk-stretchdelay 1.2s infinite ease-in-out;animation:sk-stretchdelay 1.2s infinite ease-in-out}.modal-spinner .rect2{-webkit-animation-delay:-1.1s;animation-delay:-1.1s}.modal-spinner .rect3{-webkit-animation-delay:-1.0s;animation-delay:-1.0s}.modal-spinner .rect4{-webkit-animation-delay:-0.9s;animation-delay:-0.9s}@-webkit-keyframes sk-stretchdelay{0%,40%,100%{-webkit-transform:scaleY(0.5)}20%{-webkit-transform:scaleY(1.0)}}@keyframes sk-stretchdelay{0%,40%,100%{transform:scaleY(0.5);-webkit-transform:scaleY(0.5)}20%{transform:scaleY(1.0);-webkit-transform:scaleY(1.0)}
  	}

@media only screen and (max-width: 560px) {
  body.modal-open .jquery-modal {
  	&.modal-share {
  		padding: calc(100dvh - 308px) 0 0 0;
  	}
  	&.modal-qrcode {
  		padding: calc(100dvh - 508px) 0 0 0;
  	}
		&.modal-ask, &.modal-search {
			padding:64px 0 0 0;
		}
		.modal[data-modal-id="3"] {
    	> .inner > .modal__body {
				max-height:405px;
        min-height: 96px;
    	}
  	}
  	.modal[data-modal-id="2"],
		.modal[data-modal-id="4"] {
    	> .inner > .modal__body {
    		min-height: calc(100dvh - 64px - 108px);
				
				iframe {
					height: calc(100dvh - 64px - 108px);
				}
    	}
  	}
    .modal {
      width: 100dvw;
      max-width: 100dvw;
      height: 100%;
      max-height: 100%;
      border-radius: 25px 25px 0 0;
			
			> .inner {
				height: 100%;
			}
  	}
  }
}
